fw_cdev_send_stream_packet Struct Reference

`#include <dc1394/juju/firewire-cdev.h>`

## Detailed Description

struct fw_cdev_send_stream_packet - send an asynchronous stream packet @length: Length of outgoing payload, in bytes @tag: Data format tag @channel: Isochronous channel to transmit to @sy: Synchronization code @closure: Passed back to userspace in the response event @data: Userspace pointer to payload @generation: The bus generation where packet is valid @speed: Speed to transmit at

The FW_CDEV_IOC_SEND_STREAM_PACKET ioctl sends an asynchronous stream packet to every device which is listening to the specified channel. The kernel writes an &fw_cdev_event_response event which indicates success or failure of the transmission.

The documentation for this struct was generated from the following file:

- dc1394/juju/firewire-cdev.h